
GammaLib - Change request #1328

decouple error computation from GOptimizerLM::optimize()

10/02/2014 11:51 AM - Mayer Michael

Status: Closed Start date: 10/02/2014

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-09-00   

Description

To provide more flexibility in the fit, the error computation could be removed from GOptimizerLM::optimize(). In ctlike, the function

GOptimizerLM::errors() has to be called explicitly. This will increase the computation speed, e.g. for TS computations, where no

errors are needed.

For this purpose, the GOptimizer base has to be extended by the following function:

virtual void errors(GOptimizerFunction& fct, GOptimizerPars& pars);

Related issues:

Duplicates GammaLib - Change request # 1294: Allow switching off of error com... Closed 07/24/2014

History

#1 - 10/02/2014 04:23 PM - Mayer Michael

- Status changed from New to Feedback

- % Done changed from 0 to 100

available on branch 1328-remove-error-computation-from-GOptimizerLM-optimize

#2 - 10/03/2014 02:51 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

Merged into devel branch.
